- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QWebElementCollection::iterator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 230 of file qwebelement.h.

`#include <qwebelement.h>`

List of all members.

## Public Member Functions
| iterator (const QWebElementCollection *collection, int index)
| iterator (const iterator &o)
QWebElement | operator* () const
bool | operator== (const iterator &o) const
bool | operator!= (const iterator &o) const
bool | operator< (const iterator &o) const
bool | operator<= (const iterator &o) const
bool | operator> (const iterator &o) const
bool | operator>= (const iterator &o) const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator-- ()
iterator | operator-- (int)
iterator & | operator+= (int j)
iterator & | operator-= (int j)
iterator | operator+ (int j) const
iterator | operator- (int j) const
int | operator- (iterator j) const

## Constructor & Destructor Documentation

iterator | ( | const QWebElementCollection * | collection,
|  | int | index
| ) |  | `[inline]`

Definition at line 232 of file qwebelement.h.

    : i(index), collection(collection) {}

iterator | ( | const iterator & | o | ) | `[inline]`

Definition at line 233 of file qwebelement.h.

    : i(o.i), collection(o.collection) {}

## Member Function Documentation

QWebElement operator* | ( |  | ) | const `[inline]`

Definition at line 235 of file qwebelement.h.

    { return collection->at(i); }

bool operator== | ( | const iterator & | o | ) | const `[inline]`

Definition at line 237 of file qwebelement.h.

    { return i == o.i && collection == o.collection; }

bool operator!= | ( | const iterator & | o | ) | const `[inline]`

Definition at line 238 of file qwebelement.h.

    { return i != o.i || collection != o.collection; }

bool operator< | ( | const iterator & | o | ) | const `[inline]`

Definition at line 239 of file qwebelement.h.

    { return i < o.i; }

bool operator<= | ( | const iterator & | o | ) | const `[inline]`

Definition at line 240 of file qwebelement.h.

    { return i <= o.i; }

bool operator> | ( | const iterator & | o | ) | const `[inline]`

Definition at line 241 of file qwebelement.h.

    { return i > o.i; }

bool operator>= | ( | const iterator & | o | ) | const `[inline]`

Definition at line 242 of file qwebelement.h.

    { return i >= o.i; }

iterator& operator++ | ( |  | ) | `[inline]`

Definition at line 244 of file qwebelement.h.

    { ++i; return *this; }

iterator operator++ | ( | int |  | ) | `[inline]`

Definition at line 245 of file qwebelement.h.

    { iterator n(collection, i); ++i; return n; }

iterator& operator-- | ( |  | ) | `[inline]`

Definition at line 246 of file qwebelement.h.

    { i--; return *this; }

iterator operator-- | ( | int |  | ) | `[inline]`

Definition at line 247 of file qwebelement.h.

    { iterator n(collection, i); i--; return n; }

iterator& operator+= | ( | int | j | ) | `[inline]`

Definition at line 248 of file qwebelement.h.

    { i += j; return *this; }

iterator& operator-= | ( | int | j | ) | `[inline]`

Definition at line 249 of file qwebelement.h.

    { i -= j; return *this; }

iterator operator+ | ( | int | j | ) | const `[inline]`

Definition at line 250 of file qwebelement.h.

    { return iterator(collection, i + j); }

iterator operator- | ( | int | j | ) | const `[inline]`

Definition at line 251 of file qwebelement.h.

    { return iterator(collection, i - j); }

int operator- | ( | iterator | j | ) | const `[inline]`

Definition at line 252 of file qwebelement.h.

    { return i - j.i; }

The documentation for this class was generated from the following file:

- QtWebKit/qwebelement.h

QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator
QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator QWebElementCollection::iterator